Package wx :: Package lib :: Package floatcanvas :: Module FloatCanvas :: Class Arrow

[frames | no frames]

## Class Arrow

       DrawObject --+
                    |
    LineOnlyMixin --+
                    |
    XYObjectMixin --+
                    |
                   Arrow

    Arrow(XY, # coords of origin of arrow (x,y)
          Length, # length of arrow in pixels
          theta, # angle of arrow in degrees: zero is straight up
                 # angle is to the right
          LineColor = "Black",
          LineStyle = "Solid",
          LineWidth    = 1,
          ArrowHeadSize = 4,
          ArrowHeadAngle = 45,
          InForeground = False):

    It will draw an arrow , starting at the point, (X,Y) pointing in
    direction, theta.

Method Summary
| `__init__(self, XY, Length, Direction, LineColor, LineStyle, LineWidth, ArrowHeadSize, ArrowHeadAngle, InForeground)`
| `CalcArrowPoints(self)`
| `SetDirection(self, Direction)`
| `SetLength(self, Length)`
| `SetLengthDirection(self, Length, Direction)`

Class Variable Summary

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:14:31 2007 | http://epydoc.sf.net